Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
PUTCeph Primary Storage OperationsSince 0.6SynchronousAuth Required

UpdateCephPrimaryStorageMon

UpdateCephPrimaryStorageMon

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • monUuidStringRequired

    The Ceph mon (monitor daemon) UUID.

Body Fields

  • updatecephprimarystoragemonObjectRequired

    updatecephprimarystoragemon request body object.

    • hostnameString

      Optional. The new hostname of the Ceph mon.

    • sshUsernameString

      Optional. The SSH username of the Ceph mon.

    • sshPasswordString

      Optional. The SSH password of the Ceph mon.

    • sshPortInteger

      Optional. The SSH port of the Ceph mon.

    • monPortInteger

      Optional. The new port of the Ceph mon.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The short description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryCephPrimaryStorageInventoryRequired

    See inventory.

    • fsidStringRequired

      No description provided.

    • rootVolumePoolNameStringRequired

      根量池名称。

    • dataVolumePoolNameStringRequired

      数据量池名称。

    • imageCachePoolNameStringRequired

      镜像缓存池名称。

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • totalPhysicalCapacityLongRequired

      总物理容量。

    • availablePhysicalCapacityLongRequired

      可用物理容量。

    • systemUsedCapacityLongRequired

      系统已使用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • mountPathStringRequired

      mount路径。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

    • monsListRequired

      See mons.

      • hostnameStringRequired

        No description provided.

      • monPortIntegerRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • primaryStorageUuidStringRequired

        The UUID of the Ceph primary storage.

      • monAddrStringRequired

        No description provided.

      • sshUsernameStringRequired

        SSH用户名。

      • sshPasswordStringRequired

        SSH密码。

      • sshPortIntegerRequired

        SSH端口。

      • statusStringRequired

        状态信息。

      • monUuidStringRequired

        No description provided.

Endpoint

PUT/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions

/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions

Operation ID

UpdateCephPrimaryStorageMon

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatecephprimarystoragemon":{"hostname":"<hostname>","sshUsername":"<sshUsername>","sshPassword":"<sshPassword>","sshPort":1,"monPort":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "mons": [ { "monAddr": "10.0.1.4", "monUuid": "d557e48870b04ef699509d2998084bdb" } ], "name": "My Ceph Primary Storage", "description": "Public Ceph Primary Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:21:22 PM", "lastOpDate": "Jun 7, 2017 9:21:22 PM", "attachedClusterUuids": [ "3fa1f7c2bbb544e1a04ba9f9da935abe" ] } }

Change History

This API has no change history records yet.

View all change history